/*******************************************************************************
 * Copyright (c) 2021-2024, Bayerische Motoren Werke Aktiengesellschaft (BMW AG)
 * Copyright (c) 2021-2024, Ansys, Inc.
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *******************************************************************************/
#ifndef GTGEN_CORE_SERVICE_OSI_STATIONARYOBJECTTYPES_H
#define GTGEN_CORE_SERVICE_OSI_STATIONARYOBJECTTYPES_H

namespace osi
{
/// These enums have been copied from other GtGen places to this package.
/// Since it needs to match exactly the OSI message definitions, it would be good, if all files in this package
/// will be autogenerated in the future.

enum class StationaryObjectEntityMaterial
{
    kUnknown = 0,
    kOther = 1,
    kWood = 2,
    kPlastic = 3,
    kConcrete = 4,
    kMetal = 5,
    kStone = 6,
    kGlas = 7,
    kMud = 8
};

}  // namespace osi

#endif  // GTGEN_CORE_SERVICE_OSI_STATIONARYOBJECTTYPES_H
